package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;
import gov.va.med.esr.service.external.person.collections.CombatEpisodeCollection;
import gov.va.med.esr.service.external.person.collections.CombatServiceCollection;
import gov.va.med.esr.service.external.person.collections.MilitaryServiceSiteRecordCollection;

import java.util.Date;

public class MilitaryServiceInfo extends ExternalComponent {


	private static final long serialVersionUID = -1113512369876709455L;

	/**
	 * ZEL/5/Z11
	 */
	private Boolean disabilityRetirementIndicator = null;

	//ZEL/39/Z11
	private Boolean dischargeDueToDisability = null;

	//ZEL/38/Z11
	private Date combatVeteranEligibilityEndDate = null;

    //private CombatServiceCollection combatServices = null;
    
    private CombatEpisodeCollection combatEpisodes = null;
    
	private MilitaryServiceSiteRecordCollection militaryServiceSiteRecords = null;

	private Boolean shadIndicator;
	private Boolean medalofHonorIndicator = null;
	
	private Boolean eligibleForClassIIDental = null;
	   
	private Date classIIDentalApplicationDueBefore = null;

	public Date getCombatVeteranEligibilityEndDate() {
		return combatVeteranEligibilityEndDate;
	}

	public void setCombatVeteranEligibilityEndDate(
			Date combatVeteranEligibilityEndDate) {
		this.combatVeteranEligibilityEndDate = combatVeteranEligibilityEndDate;
	}

	public Boolean getDisabilityRetirementIndicator() {
		return disabilityRetirementIndicator;
	}

	public void setDisabilityRetirementIndicator(
			Boolean disabilityRetirementIndicator) {
		this.disabilityRetirementIndicator = disabilityRetirementIndicator;
	}

	public Boolean getDischargeDueToDisability() {
		return dischargeDueToDisability;
	}

	public void setDischargeDueToDisability(Boolean dischargeDueToDisability) {
		this.dischargeDueToDisability = dischargeDueToDisability;
	}

	public CombatEpisodeCollection getCombatEpisodes() {
		return combatEpisodes;
	}

	public void setCombatEpisodes(CombatEpisodeCollection combatEpisodes) {
		this.combatEpisodes = combatEpisodes;
	}

	/** not used
	public CombatServiceCollection getCombatServices() {
		return combatServices;
	}

	public void setCombatServices(CombatServiceCollection combatServices) {
		this.combatServices = combatServices;
	} **/

	public MilitaryServiceSiteRecordCollection getMilitaryServiceSiteRecords() {
		return militaryServiceSiteRecords;
	}

	public void setMilitaryServiceSiteRecords(
			MilitaryServiceSiteRecordCollection militaryServiceSiteRecords) {
		this.militaryServiceSiteRecords = militaryServiceSiteRecords;
	}

	public Boolean getShadIndicator() {
		return shadIndicator;
	}

	public void setShadIndicator(Boolean shadIndicator) {
		this.shadIndicator = shadIndicator;
	}

	public Date getClassIIDentalApplicationDueBefore() {
		return classIIDentalApplicationDueBefore;
	}

	public void setClassIIDentalApplicationDueBefore(
			Date classIIDentalApplicationDueBefore) {
		this.classIIDentalApplicationDueBefore = classIIDentalApplicationDueBefore;
	}

	public Boolean getEligibleForClassIIDental() {
		return eligibleForClassIIDental;
	}

	public void setEligibleForClassIIDental(Boolean eligibleForClassIIDental) {
		this.eligibleForClassIIDental = eligibleForClassIIDental;
	}

	public Boolean getMedalofHonorIndicator() {
		return medalofHonorIndicator;
	}

	public void setMedalofHonorIndicator(Boolean medalofHonorIndicator) {
		this.medalofHonorIndicator = medalofHonorIndicator;
	}



}
